import requests
import joblib
import json

from http.server import BaseHTTPRequestHandler, HTTPServer

from flask import Flask, request
from flask_cors import CORS

app = Flask(__name__)
CORS(app)


@app.route("/Humberto", methods=['GET'])
def hello():
    return {"mensagem": "Hello, World!"}


@app.route("/dado", methods=['POST'])
def resultado():
    requisicao = request.json
    load_model = joblib.load('decisionTree.joblib')
    semestreSemDisciplina = requisicao['semestreSemDisciplina']
    repNota = requisicao['repNota']
    repNotaFalta = requisicao['repNotaFalta']
    totalHOR = requisicao['totalHOR']
    mediaFrequencia = requisicao['mediaFrequencia']
    mediaGeral = requisicao['mediaGeral']
    tHFR = requisicao['totalHFR']
    Y = [[semestreSemDisciplina, repNota, 0, repNotaFalta, 0, 0,
          mediaGeral, mediaFrequencia, 0, 0, totalHOR, 0, 0, tHFR]]
    resultado = load_model.predict(Y)
    resultado = str(resultado[0])
    data = {"status": resultado}

    return data


if __name__ == '__main__':
    app.run(debug=True)
